Bug 55996 - After updating for the first time after installing KDE 7.2 I reboot and get this error everytime I log into KDE.
After updating for the first time after installing KDE 7.2 I reboot and get t...
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2001-11-09 21:41 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-14 05:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-09 21:41:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install RedHat 7.2
2.Use update agent and reboot the system.
3.after a while everytime I startx into KDE I get the error about kde not

Additional info:
This is the debug info that I get:
(no debugging symbols found)...(no debugging symbols found)...
0x40e29989 in __wait4 () from /lib/i686/libc.so.6
#0  0x40e29989 in __wait4 () from /lib/i686/libc.so.6
#1  0x40ea5534 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x405f8838 in KCrash::defaultCrashHandler () at eval.c:41
#3  <signal handler called>
#4  0x40d9dae1 in __kill () from /lib/i686/libc.so.6
#5  0x40d9d8ba in raise (sig=6) at ../sysdeps/posix/raise.c:27
#6  0x40d9f062 in abort () at ../sysdeps/generic/abort.c:88
#7  0x406aa86b in FAMDebugLevel () at ../../gcc/libgcc2.c:3034
#8  0x406aa88a in FAMDebugLevel () at ../../gcc/libgcc2.c:3034
#9  0x4007542b in __pure_virtual () from /usr/lib/libkparts.so.1
#10 0x41168c45 in Arts::Dispatcher::connectUrl () from /usr/lib/libmcop.so.0
#11 0x41168973 in Arts::Dispatcher::connectObjectRemote ()
   from /usr/lib/libmcop.so.0
#12 0x410409f7 in Arts::SoundServerV2_base::_fromReference ()
   from /usr/lib/libsoundserver_idl.so.0
#13 0x410403ac in Arts::SoundServerV2_base::_fromString ()
   from /usr/lib/libsoundserver_idl.so.0
#14 0x41017234 in KNotify::connectSoundServer () from /usr/lib/knotify.so
#15 0x410146c0 in KNotify::notifyBySound () from /usr/lib/knotify.so
#16 0x41014491 in KNotify::notify () from /usr/lib/knotify.so
#17 0x41018280 in KNotify::process () from /usr/lib/knotify.so
#18 0x40032224 in DCOPClient::receive () at eval.c:41
#19 0x40024570 in DCOPProcessInternal () at eval.c:41
#20 0x4002411f in DCOPProcessMessage () at eval.c:41
#21 0x4003d54a in KDE_IceProcessMessages () at eval.c:41
#22 0x400386d3 in DCOPClient::processSocketData () at eval.c:41
#23 0x40895c81 in QObject::activate_signal ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#24 0x408eaa76 in QSocketNotifier::activated ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#25 0x408c8f67 in QSocketNotifier::event ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2

#26 0x40845891 in QApplication::notify () from /usr/lib/qt-2.3.1/lib/libqt.so.2

#27 0x4055fc89 in KApplication::notify () at eval.c:41
#28 0x4081012b in sn_activate () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#29 0x40810999 in QApplication::processNextEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#30 0x4084774c in QApplication::enter_loop ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#31 0x40810197 in QApplication::exec () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#32 0x41010d32 in main () from /usr/lib/knotify.so
#33 0x0804d0c4 in strcpy ()
#34 0x0804f462 in strcpy ()
#35 0x40d8b627 in __libc_start_main (main=0x804ef70 <strcpy+16888>, argc=3,
    ubp_av=0xbffffb04, init=0x804a4d0 <_init>, fini=0x804fc60 <_fini>,
    rtld_fini=0x4000dcd4 <_dl_fini>, stack_end=0xbffffafc)
    at ../sysdeps/generic/libc-start.c:129
Comment 1 Need Real Name 2001-11-10 00:02:03 EST
In the "Steps to Reproduce" I meant to say:
3. after a while everytime I startx into KDE I get the error about Sound server
fatal error: cpu overload, aborting.

Comment 2 Need Real Name 2001-11-10 00:41:06 EST
I booted into the older kernel that came boxed with RedHat 7.2 and artsd hardly
takes 1% cpu time!  It is exciting that sound works now but that is under an
older kernel ver.
Comment 3 Jakub Jelinek 2001-11-12 07:58:07 EST
This has nothing to do with glibc. Reassigning to KDE.
Comment 4 Bernhard Rosenkraenzer 2001-11-20 12:27:04 EST
I can't reproduce this. Since Arts::* appears in the backtrace a couple of 
times, this could be a problem with your sound driver.

Which sound card are you using, and does this still happen if you disable 
sound (e.g. by saying alias sound-slot-0 off in /etc/modules.conf)?

Comment 5 Ngo Than 2004-09-14 05:00:15 EDT
Please verify this with a newer version of Red Hat Enterprise Linux or
Fedora Core and reopen it against the new version if it still occurs.

Closing as "CURRENTRELEASE" for now.

Note You need to log in before you can comment on or make changes to this bug.